Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.enhancer
Class CayenneEnhancerVisitorFactory

    java.lang.Object
      org.apache.cayenne.enhancer.CayenneEnhancerVisitorFactory

All Implemented Interfaces:
  EnhancerVisitorFactory

    public class CayenneEnhancerVisitorFactory

extends Object
implements EnhancerVisitorFactory

EnhancerVisitorFactory implementation based on Cayenne mapping.

Since:
  3.0
Author:
  Andrus Adamchik

Field Summary
`protected Map<String,Embeddable>` | `embeddablesByClass`
`protected Map<String,ObjEntity>` | `entitiesByClass`

Constructor Summary
`CayenneEnhancerVisitorFactory(EntityResolver entityResolver)`

Method Summary
`org.objectweb.asm.ClassVisitor` | `createVisitor(String className, org.objectweb.asm.ClassVisitor out)` Creates and returns an ASM ClassVisitor for enhancing a class.
`protected void` | `indexEntities(EntityResolver entityResolver)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### entitiesByClass

    protected Map<String,ObjEntity> entitiesByClass

### embeddablesByClass

    protected Map<String,Embeddable> embeddablesByClass

Constructor Detail

### CayenneEnhancerVisitorFactory

    public CayenneEnhancerVisitorFactory(EntityResolver entityResolver)

Method Detail

### indexEntities

    protected void indexEntities(EntityResolver entityResolver)

### createVisitor

    public org.objectweb.asm.ClassVisitor createVisitor(String className,
                                                        org.objectweb.asm.ClassVisitor out)

  Description copied from interface: `EnhancerVisitorFactory`
  Creates and returns an ASM ClassVisitor for enhancing a class. Returned visitor is either null if no enhancement of this class is needed, or a wrapper around provided "out" ClassVisitor. Often it is a chain of visitors, each doing its own enhancement.

  Specified by:
    `createVisitor` in interface `EnhancerVisitorFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.